var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { css, cx } from '@leafygreen-ui/emotion';
import { Variant } from './types';
import { numberCellDataProp } from './renderingPlugin';
import { uiColors } from '@leafygreen-ui/palette';
import { fontFamilies } from '@leafygreen-ui/tokens';
export default function CodeWrapper(_a) {
    var children = _a.children, className = _a.className, language = _a.language, _b = _a.variant, variant = _b === void 0 ? Variant.Light : _b, rest = __rest(_a, ["children", "className", "language", "variant"]);
    var numberColor = uiColors.gray[variant === Variant.Dark ? 'dark1' : 'light1'];
    var codeStyles = css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    color: inherit;\n    font-size: 13px;\n    font-family: ", ";\n    line-height: 24px;\n\n    & ", " {\n      color: ", ";\n    }\n  "], ["\n    color: inherit;\n    font-size: 13px;\n    font-family: ", ";\n    line-height: 24px;\n\n    & ", " {\n      color: ", ";\n    }\n  "])), fontFamilies.code, numberCellDataProp.selector, numberColor);
    var codeClassName = cx("lg-highlight-hljs-" + variant, codeStyles, language, className);
    return (React.createElement("code", __assign({}, rest, { className: codeClassName }), children));
}
var templateObject_1;
//# sourceMappingURL=CodeWrapper.js.map