var _a;
import { Variant } from './types';
import { injectGlobal } from '@leafygreen-ui/emotion';
import { uiColors } from '@leafygreen-ui/palette';
export var variantColors = (_a = {},
    _a[Variant.Light] = {
        0: uiColors.gray.light3,
        1: uiColors.gray.light2,
        2: uiColors.gray.dark2,
        3: uiColors.gray.dark3,
        4: uiColors.white,
        5: '#CA4821',
        6: '#EDB210',
        7: '#12824D',
        8: uiColors.blue.dark2,
        9: uiColors.blue.base,
        10: '#CC3887',
    },
    _a[Variant.Dark] = {
        0: uiColors.black,
        1: uiColors.gray.dark3,
        2: uiColors.gray.light1,
        3: uiColors.gray.light3,
        4: uiColors.gray.dark2,
        5: '#FF6F44',
        6: '#EDB210',
        7: '#35DE7B',
        8: '#a5e3ff',
        9: '#2DC4FF',
        10: '#FF7DC3',
    },
    _a);
var getStyles = function (variant) { return "\n  .lg-highlight-hljs-" + variant + " {\n    .lg-highlight-quote,\n    .lg-highlight-literal,\n    .lg-highlight-class,\n    .lg-highlight-section,\n    .lg-highlight-name,\n    .lg-highlight-class > .lg-highlight-keyword,\n    .lg-highlight-function > .lg-highlight-keyword {\n      color: " + variantColors[variant][9] + ";\n    }\n  \n    .lg-highlight-regexp,\n    .lg-highlight-params,\n    .lg-highlight-meta,\n    .lg-highlight-meta-string {\n      color: " + variantColors[variant][8] + ";\n    }\n  \n    .lg-highlight-comment {\n      color: " + variantColors[variant][2] + ";\n      font-style: italic;\n    }\n\n    .lg-highlight-doctag,\n    .lg-highlight-formula {\n      color: " + variantColors[variant][3] + ";\n    }\n  \n    .lg-highlight-keyword,\n    .lg-highlight-selector-tag,\n    .lg-highlight-selector-attr,\n    .lg-highlight-selector-pseudo,\n    .lg-highlight-selector-id,\n    .lg-highlight-selector-class {\n      color: " + variantColors[variant][10] + ";\n    }\n  \n    .lg-highlight-variable,\n    .lg-highlight-deletion,\n    .lg-highlight-symbol,\n    .lg-highlight-bullet,\n    .lg-highlight-subst,\n    .lg-highlight-meta,\n    .lg-highlight-link,\n    .lg-highlight-number,\n    .lg-highlight-attr,\n    .lg-highlight-attribute,\n    .lg-highlight-built_in,\n    .lg-highlight-template-variable,\n    .lg-highlight-type {\n      color: " + variantColors[variant][5] + "\n    }\n  \n    .lg-highlight-string,\n    .lg-highlight-addition,\n    .lg-highlight-title {\n      color: " + variantColors[variant][7] + ";\n    }\n  \n    .lg-highlight-emphasis {\n      font-style: italic;\n    }\n  \n    .lg-highlight-strong {\n      font-weight: bold;\n    }\n  }\n"; };
export function injectGlobalStyles() {
    Object.values(Variant).forEach(function (variant) { return injectGlobal(getStyles(variant)); });
}
//# sourceMappingURL=globalStyles.js.map